import { CommonModule } from '@angular/common';
import { FormlySelectModule } from '@ngx-formly/core/select';
import { ReactiveFormsModule } from '@angular/forms';
import { NativeScriptFormsModule } from 'nativescript-angular/forms';
import { FormlyNsFormFieldModule } from '@ngx-formly/nativescript/form-field';
import { Component, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { FieldType, FormlyModule } from '@ngx-formly/core';
import { action } from 'tns-core-modules/ui/dialogs';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FormlyFieldSelect extends FieldType {
    /**
     * @param {?} options
     * @return {?}
     */
    tap(options) {
        action({ title: this.to.label, actions: options.map((/**
             * @param {?} o
             * @return {?}
             */
            o => o.label)) })
            .then((/**
         * @param {?} selectedAction
         * @return {?}
         */
        (selectedAction) => this.formControl.patchValue(options.find((/**
         * @param {?} o
         * @return {?}
         */
        o => o.label === selectedAction)).value)));
    }
    /**
     * @param {?} options
     * @return {?}
     */
    selectedItem(options) {
        if (this.formControl.value) {
            return options.find((/**
             * @param {?} o
             * @return {?}
             */
            o => o.value === this.formControl.value)).label;
        }
        return this.to.placeholder;
    }
}
FormlyFieldSelect.decorators = [
    { type: Component, args: [{
                selector: 'formly-field-ns-select',
                template: `
    <ng-container *ngIf="to.options | formlySelectOptions:field | async as options">
      <Button (tap)="tap(options)" [text]="selectedItem(options)"></Button>
    </ng-container>
  `
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FormlyNsSelectFieldModule {
}
FormlyNsSelectFieldModule.decorators = [
    { type: NgModule, args: [{
                declarations: [FormlyFieldSelect],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    NativeScriptFormsModule,
                    FormlyNsFormFieldModule,
                    FormlySelectModule,
                    FormlyModule.forChild({
                        types: [
                            {
                                name: 'select',
                                component: FormlyFieldSelect,
                                wrappers: ['form-field'],
                            },
                        ],
                    }),
                ],
                schemas: [NO_ERRORS_SCHEMA],
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { FormlyNsSelectFieldModule, FormlyFieldSelect as ɵa };

//# sourceMappingURL=ngx-formly-nativescript-select.js.map